# Class: Concurrent::ErlangActor::Terminated

Inherits:
  Object
  - Object
  - Concurrent::ErlangActor::Terminated
  show all

Defined in:
  lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb

## Overview

A message send when actor terminates.

## Instance Attribute Summary collapse

- #from ⇒ Pid readonly
- #reason ⇒ Object readonly

## Instance Method Summary collapse

- #==(o) ⇒ true, false (also: #eql?)
- #hash ⇒ Integer
- #to_ary ⇒ ::Array(Pid, Object)

## Instance Attribute Details

### #from ⇒ `Pid` (readonly)

Returns:

- (`Pid`)

    1399
    1400
    1401

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1399

    def from
      @from
    end

### #reason ⇒ `Object` (readonly)

Returns:

- (`Object`)

    1401
    1402
    1403

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1401

    def reason
      @reason
    end

## Instance Method Details

### #==(o) ⇒ `true`, `false` Also known as: eql?

Returns:

- (`true`, `false`)

    1416
    1417
    1418

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1416

    def ==(o)
      o.class == self.class && o.from == @from && o.reason == self.reason
    end

### #hash ⇒ `Integer`

Returns:

- (`Integer`)

    1423
    1424
    1425

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1423

    def hash
      [@from, @reason].hash
    end

### #to_ary ⇒ `::Array(Pid, Object)`

Returns:

- (`::Array(Pid, Object)`)

    1411
    1412
    1413

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1411

    def to_ary
      [@from, @reason]
    end